MUCRoom::MUC Class Reference

`#include <mucroom.h>`

Inheritance diagram for MUCRoom::MUC:
[legend]

## Public Member Functions

| MUC (const std::string &password, HistoryRequestType historyType=HistoryUnknown, const std::string &historySince=EmptyString, int historyValue=0)
| MUC (const Tag *tag=0)
virtual | ~MUC ()
const std::string * | password () const
const std::string * | historySince () const
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
virtual Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

An abstraction of a MUC query.

You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 127 of file mucroom.h.

## Constructor & Destructor Documentation

## MUC() [1/2]

MUC | ( | const std::string & | password,
|  | MUCRoom::HistoryRequestType | historyType = HistoryUnknown,
|  | const std::string & | historySince = EmptyString,
|  | int | historyValue = 0 )

Creates a new MUC object.

Parameters

  password | An optional room password.
  historyType | The type of room history to request.
  historySince | A string describing the amount of room history.
  historyValue | The amount of requested room history.

Definition at line 543 of file mucroom.cpp.

## MUC() [2/2]

MUC | ( | const Tag * | tag = 0 | ) |

Constructs a new MUCUser object from the given Tag.

Parameters

  tag | The Tag to parse.

Definition at line 554 of file mucroom.cpp.

## ~MUC()

~MUC | ( |  | ) |

virtual

Virtual destructor.

Definition at line 584 of file mucroom.cpp.

## Member Function Documentation

## clone()

virtual StanzaExtension * clone | ( |  | ) | const

inline virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 176 of file mucroom.h.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 590 of file mucroom.cpp.

## historySince()

const std::string * historySince | ( |  | ) | const

inline

Returns a pointer to the description of the amount of room history requested.

Returns
  A pointer to the description of the amount of room history requested.

Definition at line 161 of file mucroom.h.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::MUCRoom::MUC::tag
virtual Tag * tag() const
Definition mucroom.cpp:596
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 167 of file mucroom.h.

## password()

const std::string * password | ( |  | ) | const

inline

Returns a pointer to the current password, or 0.

Returns
  A pointer to the current password, or 0.

Definition at line 155 of file mucroom.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 596 of file mucroom.cpp.

The documentation for this class was generated from the following files:

- mucroom.h
- mucroom.cpp